Catalog

Retrieve published catalog content — campaigns, offers (v1 and v2), pages, products, segments, assets, add-ons, and journeys. Supports filtering by path, tags, attributes, and pagination.

Get Campaigns

get

Retrieves all the campaigns in the Catalog matching the specified queries. It will retrieve an object containing a number for the amount of hits that responded to the query, an array with the details of these campaigns (limited to the pageSize property, default to 50) and a queryMore object for continuing query if the amount of hits exceeded the retrieved campaigns and pagination is activated.

Authorizations
AuthorizationstringRequired

Publishable API key for read-only catalog access. Suitable for client-side or public-facing integrations where only catalog data (campaigns, offers, products, pages, segments, assets) is needed.

Generate a key in the Limio dashboard. See API Keys for details.

Query parameters
pathstringOptional

Filter by the exact catalog path of the item, e.g. /offers/2024 Summer Campaign or /pages/Homepage.

Example: /offers/2024 Summer Campaign
tagsstringOptional

Filter items by an associated tag path, e.g. /tags/uk-uk/default.

Example: /tags/uk-uk/default
reducedDatabooleanOptional

Indicate true to receive a response with less attributes in the offer object (ideal to reduce payloads size)

opt.pageSizeintegerOptional

Number of items per page (default 50). The response size limit is 6 MB, so use smaller page sizes with queryMore pagination when retrieving large datasets.

Default: 50Example: 50
opt.modifiedAfterstring · date-timeOptional

Filter items modified after the indicated date or date-time (ISO-date format, i.e '2020-12-01' or '2020-12-01T16:00:00Z')

Example: 2020-12-01T16:00:00Z
opt.allbooleanOptional

Set to true to enable cursor-based pagination. When enabled, the response includes a queryMore object with from and alias fields that can be passed to subsequent requests to retrieve the next page.

Default: false
opt.queryMoreFromstringOptional

The From Hash for the query more functionality. Use it to fetch next page of the query (obtained from queryMore.from in the response)

opt.queryMoreAliasstringOptional

The Alias for the query more functionality. Use it to fetch next page of the query (obtained from queryMore.alias in the response)

attributes.YOUR_ATTRIBUTE_HEREstringOptional

To query with attributes, replace 'YOUR_ATTRIBUTE_HERE' with your attribute. Attributes are defined by your templates.

Example: Due Upon Receipt
Responses
chevron-right
200

OK

application/json
hitsnumberOptional

Amount of records found on the catalog responding the query

Example: 1
get
/campaigns

Get Pages

get

Retrieves published pages that match the supplied query parameters. The response includes metadata about the total matches, paging details, and the matching page definitions.

Authorizations
AuthorizationstringRequired

Publishable API key for read-only catalog access. Suitable for client-side or public-facing integrations where only catalog data (campaigns, offers, products, pages, segments, assets) is needed.

Generate a key in the Limio dashboard. See API Keys for details.

Query parameters
pathstringOptional

Filter by the exact catalog path of the item, e.g. /offers/2024 Summer Campaign or /pages/Homepage.

Example: /offers/2024 Summer Campaign
tagsstringOptional

Filter items by an associated tag path, e.g. /tags/uk-uk/default.

Example: /tags/uk-uk/default
opt.pageSizeintegerOptional

Number of items per page (default 50). The response size limit is 6 MB, so use smaller page sizes with queryMore pagination when retrieving large datasets.

Default: 50Example: 50
opt.modifiedAfterstring · date-timeOptional

Filter items modified after the indicated date or date-time (ISO-date format, i.e '2020-12-01' or '2020-12-01T16:00:00Z')

Example: 2020-12-01T16:00:00Z
opt.allbooleanOptional

Set to true to enable cursor-based pagination. When enabled, the response includes a queryMore object with from and alias fields that can be passed to subsequent requests to retrieve the next page.

Default: false
opt.queryMoreFromstringOptional

The From Hash for the query more functionality. Use it to fetch next page of the query (obtained from queryMore.from in the response)

opt.queryMoreAliasstringOptional

The Alias for the query more functionality. Use it to fetch next page of the query (obtained from queryMore.alias in the response)

attributes.YOUR_ATTRIBUTE_HEREstringOptional

To query with attributes, replace 'YOUR_ATTRIBUTE_HERE' with your attribute. Attributes are defined by your templates.

Example: Due Upon Receipt
Responses
chevron-right
200

OK

application/json

Paginated list of published pages.

hitsintegerOptional

Total number of pages that matched the query.

Example: 42
commitIdstringOptional

Commit identifier for the source index.

Example: e44d0795e9d0aa78ddea15c3e925cfd581adfb04
buildIdstringOptional

Build identifier of the index queried.

Example: build-20240501010101
indexNamestringOptional

Name of the Elastic index queried.

Example: catalog_example_default
get
/pages

Get Offers

get

Retrieves all the offers in the Catalog matching the specified queries. It will retrieve an object containing a number for the amount of hits that responded to the query, an array with the details of these offers (limited to the pageSize property, default to 50) and a queryMore object for continuing query if the amount of hits exceeded the retrieved offers and pagination is activated.

Note: this API will return all offers in the catalog, including legacy offers (that contain the path /offers AKA campaigns), and standalone offers (that contain the path /offers2). If you want to retrieve only V2 offers, please use the getOffersV2 endpointarrow-up-right.

Authorizations
AuthorizationstringRequired

Publishable API key for read-only catalog access. Suitable for client-side or public-facing integrations where only catalog data (campaigns, offers, products, pages, segments, assets) is needed.

Generate a key in the Limio dashboard. See API Keys for details.

Query parameters
pathstringOptional

Filter by the exact catalog path of the item, e.g. /offers/2024 Summer Campaign or /pages/Homepage.

Example: /offers/2024 Summer Campaign
tagsstringOptional

Filter items by an associated tag path, e.g. /tags/uk-uk/default.

Example: /tags/uk-uk/default
reducedDatabooleanOptional

Indicate true to receive a response with less attributes in the offer object (ideal to reduce payloads size)

opt.pageSizeintegerOptional

Number of items per page (default 50). The response size limit is 6 MB, so use smaller page sizes with queryMore pagination when retrieving large datasets.

Default: 50Example: 50
opt.modifiedAfterstring · date-timeOptional

Filter items modified after the indicated date or date-time (ISO-date format, i.e '2020-12-01' or '2020-12-01T16:00:00Z')

Example: 2020-12-01T16:00:00Z
opt.allbooleanOptional

Set to true to enable cursor-based pagination. When enabled, the response includes a queryMore object with from and alias fields that can be passed to subsequent requests to retrieve the next page.

Default: false
opt.queryMoreFromstringOptional

The From Hash for the query more functionality. Use it to fetch next page of the query (obtained from queryMore.from in the response)

opt.queryMoreAliasstringOptional

The Alias for the query more functionality. Use it to fetch next page of the query (obtained from queryMore.alias in the response)

attributes.YOUR_ATTRIBUTE_HEREstringOptional

To query with attributes, replace 'YOUR_ATTRIBUTE_HERE' with your attribute. Attributes are defined by your templates.

Example: Due Upon Receipt
Responses
chevron-right
200

OK

application/json
hitsnumberOptional

Amount of records found on the catalog in response to the query

Example: 2
itemsany ofOptional

Offers retrieved

Example: [{"id":"d89c80cd3919a193da90c6a141b0040b3663a8d0.97d170e1550eee4afc0af065b78cda302a97674c","name":"Regular Subscription","parent_path":"/offers/2019 Winter Campaign","path":"/offers/2019 Winter Campaign/Regular Subscription","data":{"attributes":{"price":[{"name":"charge_1","label":"Charge 1","currencyCode":"GBP","value":"75","type":"onetime","trigger":"subscription_start","repeat_interval":1,"repeat_interval_type":"months","repeat_count":12,"delay_trigger":null,"delay_interval":1,"delay_interval_type":"months","attributes":{}}]},"products":[{"id":"prod_abc123","name":"Digital"}],"segments":["/segments/regions/UK/UK/GB"],"tags":["/tags/test"]}},{"id":"fab052ce94fbfd0d3663ec0cb9d9773676593684","name":"Digital offer","path":"/offers2/Digital offer","created":"2024-02-08T09:54:10+00:00","modified":"2024-03-08T10:53:37+00:00","version":"101d166f7386bb9f1c76354124a4b51bbe393ccc","version_date":"2024-03-11T15:33:12.072Z","record_type":"offer","duplicatedFrom":"/offers2/Delivery offer","baseTemplate":"/config/templates/offers/default","priceReference":"/offers2/Delivery offer","user":"[email protected]","data":{"attributes":{"checkout_description__limio":"<p>Description</p>","display_name__limio":"Delivery Offer","allowed_countries__limio":["GB"],"checkout__limio":{"checkout_type":"external","external_url":"/checkout"},"label__limio":["offers"],"term__limio":{"renewal_type":"TERMED","renewal_trigger":"EXTERNAL"},"push_to_checkout__limio":true,"initial_term__limio":{"renewal_type":"TERMED","renewal_trigger":"EXTERNAL"}},"price":[{"delay_interval_type":"months","delay_interval":null,"label":"Charge 1","trigger":"order_date","repeat_count":1,"type":"onetime","name":"charge_1","repeat_interval":1,"attributes":{},"repeat_interval_type":"months","value":"1.00","currencyCode":"GBP"}],"productBundles":[{"product_path":"/products/Digital","revenue_split":"100","rate_plan":"Canada Annual"}],"products":[{"baseTemplate":"/config/templates/products/default","path":"/products/Digital","lastSynced":"2024-03-07T15:03:10.427Z","synced":true,"created":"2024-02-01T10:09:30+00:00","syncedFrom":"2c92c0f9778c090d0177aa4f357d043b","modified":"2024-03-07T15:03:10+00:00","attributes":{"display_name__limio":"Digital","has_delivery__limio":false,"product_code__limio":"LI.DIGITAL"},"record_type":"product"}]}}]
or
commitIdstringOptional

the commitId from the index used to query

Example: e44d0795e9d0aa78ddea15c3e925cfd581adfb04
get
/offers

Get Offers V2

get

Retrieves all the standalone offers in the Catalog matching the specified queries. It will retrieve an object containing a number for the amount of hits that responded to the query, an array with the details of these offers (limited to the pageSize property, default to 50) and a queryMore object for continuing query if the amount of hits exceeded the retrieved offers and pagination is activated.

Note: this API will return only standalone offers (that contain the path /offers2). If you want to retrieve all offers in the catalog, including legacy offers (that contain the path /offers AKA campaigns), please use the getOffers endpointarrow-up-right.

V2 offers are offers that are created using the new offer creation flow. They are standalone offers that are not part of a campaign, but can be attached to campaigns / pages using labels. They are created using the new offer creation flow and are more flexible than legacy offers.

V2 offers can also be versioned - you can find out more about offer versioning at the following resources:

If you have the Published Offers APIarrow-up-right enabled, the API will, by default, return only the published offersV2. To retrieve all offersV2 in your catalog, including both published and unpublished, you can use the offersSource query parameter.

Authorizations
AuthorizationstringRequired

OAuth 2.0 Bearer token for authenticated API access. Required for order submission, object management, and administrative operations.

Obtain a token via the OAuth flow described in OAuth Bearer Token.

Pass the token in the Authorization header: Bearer <token>

Query parameters
offersSourcestring · enumOptional

Specifies the source for fetching offers. catalog Retrieves all offersV2 from your catalog. published Retrieves only published offers.

Possible values:
pathstringOptional

Filter by the exact catalog path of the item, e.g. /offers/2024 Summer Campaign or /pages/Homepage.

Example: /offers/2024 Summer Campaign
tagsstringOptional

Filter items by an associated tag path, e.g. /tags/uk-uk/default.

Example: /tags/uk-uk/default
reducedDatabooleanOptional

Indicate true to receive a response with less attributes in the offer object (ideal to reduce payloads size)

opt.pageSizeintegerOptional

Number of items per page (default 50). The response size limit is 6 MB, so use smaller page sizes with queryMore pagination when retrieving large datasets.

Default: 50Example: 50
opt.modifiedAfterstring · date-timeOptional

Filter items modified after the indicated date or date-time (ISO-date format, i.e '2020-12-01' or '2020-12-01T16:00:00Z')

Example: 2020-12-01T16:00:00Z
opt.allbooleanOptional

Set to true to enable cursor-based pagination. When enabled, the response includes a queryMore object with from and alias fields that can be passed to subsequent requests to retrieve the next page.

Default: false
opt.queryMoreFromstringOptional

The From Hash for the query more functionality. Use it to fetch next page of the query (obtained from queryMore.from in the response)

opt.queryMoreAliasstringOptional

The Alias for the query more functionality. Use it to fetch next page of the query (obtained from queryMore.alias in the response)

attributes.YOUR_ATTRIBUTE_HEREstringOptional

To query with attributes, replace 'YOUR_ATTRIBUTE_HERE' with your attribute. Attributes are defined by your templates.

Example: Due Upon Receipt
Responses
chevron-right
200

OK

application/json
hitsnumberOptional

Amount of records found on the catalog in response to the query

Example: 1
commitIdstringOptional

the commitId from the index used to query

Example: e44d0795e9d0aa78ddea15c3e925cfd581adfb04
get
/offers/v2

Get Add Ons

get

Retrieves all the standalone add ons in the Catalog matching the specified queries. It will retrieve an object containing a number for the amount of hits that responded to the query, an array with the details of these add ons (limited to the pageSize property, default to 50) and a queryMore object for continuing query if the amount of hits exceeded the retrieved offers and pagination is activated.

Authorizations
AuthorizationstringRequired

OAuth 2.0 Bearer token for authenticated API access. Required for order submission, object management, and administrative operations.

Obtain a token via the OAuth flow described in OAuth Bearer Token.

Pass the token in the Authorization header: Bearer <token>

Query parameters
pathstringOptional

Filter by the exact catalog path of the item, e.g. /offers/2024 Summer Campaign or /pages/Homepage.

Example: /offers/2024 Summer Campaign
addOnsSourcestring · enumOptional

Specifies the source for fetching Add Ons. catalog Retrieves all add ons from your catalog. published Retrieves only published add ons.

Possible values:
reducedDatabooleanOptional

Indicate true to receive a response with less attributes in the offer object (ideal to reduce payloads size)

opt.pageSizeintegerOptional

Number of items per page (default 50). The response size limit is 6 MB, so use smaller page sizes with queryMore pagination when retrieving large datasets.

Default: 50Example: 50
opt.modifiedAfterstring · date-timeOptional

Filter items modified after the indicated date or date-time (ISO-date format, i.e '2020-12-01' or '2020-12-01T16:00:00Z')

Example: 2020-12-01T16:00:00Z
opt.allbooleanOptional

Set to true to enable cursor-based pagination. When enabled, the response includes a queryMore object with from and alias fields that can be passed to subsequent requests to retrieve the next page.

Default: false
opt.queryMoreFromstringOptional

The From Hash for the query more functionality. Use it to fetch next page of the query (obtained from queryMore.from in the response)

opt.queryMoreAliasstringOptional

The Alias for the query more functionality. Use it to fetch next page of the query (obtained from queryMore.alias in the response)

attributes.YOUR_ATTRIBUTE_HEREstringOptional

To query with attributes, replace 'YOUR_ATTRIBUTE_HERE' with your attribute. Attributes are defined by your templates.

Example: Due Upon Receipt
Responses
chevron-right
200

OK

application/json
hitsnumberOptional

Amount of records found on the catalog in response to the query

Example: 1
commitIdstringOptional

the commitId from the index used to query

Example: e44d0795e9d0aa78ddea15c3e925cfd581adfb04
get
/add_ons

Get Assets

get

Retrieves all the assets in the Catalog matching the specified queries. It will retrieve an object containing a number for the amount of hits that responded to the query, an array with the details of these assets (limited to the pageSize property, default to 50) and a queryMore object for continuing query if the amount of hits exceeded the retrieved assets and pagination is activated.

Authorizations
AuthorizationstringRequired

Publishable API key for read-only catalog access. Suitable for client-side or public-facing integrations where only catalog data (campaigns, offers, products, pages, segments, assets) is needed.

Generate a key in the Limio dashboard. See API Keys for details.

Query parameters
pathstringOptional

Filter by the exact catalog path of the item, e.g. /offers/2024 Summer Campaign or /pages/Homepage.

Example: /offers/2024 Summer Campaign
opt.pageSizeintegerOptional

Number of items per page (default 50). The response size limit is 6 MB, so use smaller page sizes with queryMore pagination when retrieving large datasets.

Default: 50Example: 50
opt.modifiedAfterstring · date-timeOptional

Filter items modified after the indicated date or date-time (ISO-date format, i.e '2020-12-01' or '2020-12-01T16:00:00Z')

Example: 2020-12-01T16:00:00Z
opt.allbooleanOptional

Set to true to enable cursor-based pagination. When enabled, the response includes a queryMore object with from and alias fields that can be passed to subsequent requests to retrieve the next page.

Default: false
opt.queryMoreFromstringOptional

The From Hash for the query more functionality. Use it to fetch next page of the query (obtained from queryMore.from in the response)

opt.queryMoreAliasstringOptional

The Alias for the query more functionality. Use it to fetch next page of the query (obtained from queryMore.alias in the response)

attributes.YOUR_ATTRIBUTE_HEREstringOptional

To query with attributes, replace 'YOUR_ATTRIBUTE_HERE' with your attribute. Attributes are defined by your templates.

Example: Due Upon Receipt
Responses
chevron-right
200

OK

application/json
hitsnumberOptional

Amount of records found on the catalog in response to the query

Example: 1
commitIdstringOptional

the commitId from the index used to query

Example: e44d0795e9d0aa78ddea15c3e925cfd581adfb04
get
/assets

Get Products

get

Retrieves all the products in the Catalog matching the specified queries. It will retrieve an object containing a number for the amount of hits that responded to the query, an array with the details of these products (limited to the pageSize property, default to 50) and a queryMore object for continuing query if the amount of hits exceeded the retrieved products and pagination is activated.

Authorizations
AuthorizationstringRequired

Publishable API key for read-only catalog access. Suitable for client-side or public-facing integrations where only catalog data (campaigns, offers, products, pages, segments, assets) is needed.

Generate a key in the Limio dashboard. See API Keys for details.

Query parameters
pathstringOptional

Filter by the exact catalog path of the item, e.g. /offers/2024 Summer Campaign or /pages/Homepage.

Example: /offers/2024 Summer Campaign
opt.pageSizeintegerOptional

Number of items per page (default 50). The response size limit is 6 MB, so use smaller page sizes with queryMore pagination when retrieving large datasets.

Default: 50Example: 50
opt.modifiedAfterstring · date-timeOptional

Filter items modified after the indicated date or date-time (ISO-date format, i.e '2020-12-01' or '2020-12-01T16:00:00Z')

Example: 2020-12-01T16:00:00Z
opt.allbooleanOptional

Set to true to enable cursor-based pagination. When enabled, the response includes a queryMore object with from and alias fields that can be passed to subsequent requests to retrieve the next page.

Default: false
opt.queryMoreFromstringOptional

The From Hash for the query more functionality. Use it to fetch next page of the query (obtained from queryMore.from in the response)

opt.queryMoreAliasstringOptional

The Alias for the query more functionality. Use it to fetch next page of the query (obtained from queryMore.alias in the response)

attributes.YOUR_ATTRIBUTE_HEREstringOptional

To query with attributes, replace 'YOUR_ATTRIBUTE_HERE' with your attribute. Attributes are defined by your templates.

Example: Due Upon Receipt
Responses
chevron-right
200

OK

application/json
hitsnumberOptional

Amount of records found on the catalog responding the query

Example: 1
commitIdstringOptional

the commitId from the index used to query

Example: e44d0795e9d0aa78ddea15c3e925cfd581adfb04
get
/products

Get Segments

get

Retrieves all the segments in the Catalog matching the specified queries. It will retrieve an object containing a number for the amount of hits that responded to the query, an array with the details of these segments (limited to the pageSize property, default to 50) and a queryMore object for continuing query if the amount of hits exceeded the retrieved segments and pagination is activated.

Authorizations
AuthorizationstringRequired

Publishable API key for read-only catalog access. Suitable for client-side or public-facing integrations where only catalog data (campaigns, offers, products, pages, segments, assets) is needed.

Generate a key in the Limio dashboard. See API Keys for details.

Query parameters
pathstringOptional

Filter by the exact catalog path of the item, e.g. /offers/2024 Summer Campaign or /pages/Homepage.

Example: /offers/2024 Summer Campaign
opt.pageSizeintegerOptional

Number of items per page (default 50). The response size limit is 6 MB, so use smaller page sizes with queryMore pagination when retrieving large datasets.

Default: 50Example: 50
opt.modifiedAfterstring · date-timeOptional

Filter items modified after the indicated date or date-time (ISO-date format, i.e '2020-12-01' or '2020-12-01T16:00:00Z')

Example: 2020-12-01T16:00:00Z
opt.allbooleanOptional

Set to true to enable cursor-based pagination. When enabled, the response includes a queryMore object with from and alias fields that can be passed to subsequent requests to retrieve the next page.

Default: false
opt.queryMoreFromstringOptional

The From Hash for the query more functionality. Use it to fetch next page of the query (obtained from queryMore.from in the response)

opt.queryMoreAliasstringOptional

The Alias for the query more functionality. Use it to fetch next page of the query (obtained from queryMore.alias in the response)

attributes.YOUR_ATTRIBUTE_HEREstringOptional

To query with attributes, replace 'YOUR_ATTRIBUTE_HERE' with your attribute. Attributes are defined by your templates.

Example: Due Upon Receipt
Responses
chevron-right
200

OK

application/json
hitsnumberOptional

Amount of records found on the catalog responding the query

Example: 1
commitIdstringOptional

the commitId from the index used to query

Example: e44d0795e9d0aa78ddea15c3e925cfd581adfb04
get
/segments

Get Journeys

get

Retrieves all journeys (v1) from the catalog. Journeys define multi-step customer flows such as acquisition, retention, or upgrade paths. For the newer journey format with CRUD operations, see the Journeys V2 endpoints.

Authorizations
AuthorizationstringRequired

Publishable API key for read-only catalog access. Suitable for client-side or public-facing integrations where only catalog data (campaigns, offers, products, pages, segments, assets) is needed.

Generate a key in the Limio dashboard. See API Keys for details.

Responses
chevron-right
200

OK

application/json
starting_pointstringOptional

The starting point of the journey

Example: /cancel-now/
fallback_tagstringOptional

The fallback tag for the journey

Example: /cancel/
get
/journeys

Last updated

Was this helpful?